%global momorel 1
%global md5sum_src0  63923dbec25cedbd2dcc376afea5ca76
%define tarball xf86-video-nv
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 nv video driver
Name:      xorg-x11-drv-nv
Version:   1.2.0
Release:   %{momorel}m
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 %{md5sum_src0}
Source1:   nv.xinf
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 nv video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/nv_drv.so
%{driverdir}/riva128.so
%{_datadir}/hwdata/videoaliases/nv.xinf
%{_mandir}/man4/nv.4*

%changelog
* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0
-- PCI IDs for GeForce 6 and 7 variants.
-- new chip support

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-2m)
- delete duplicated dir

* Sat Apr 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.2-1m)
- update 1.1.2

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.1-1m)
- update 1.1.1(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1.5-4m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1.5-3.1m)
- import to Momonga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1.5-3.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-3
- Added nv-1.0.1.5-updateto-cvs20050209.patch to sync driver with CVS and pick
  up support for newer Nvidia chips, and RandR rotation support.  (#180101)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-2
- Syncronized nv.xinf with nv_driver.c PCI ID list, including 10DE:0092 and
  10DE:00F2 for bug (#179997).

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-1
- Updated xorg-x11-drv-nv to version 1.0.1.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.4-1
- Updated xorg-x11-drv-nv to version 1.0.1.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.2-1
- Updated xorg-x11-drv-nv to version 1.0.1.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.1-1
- Updated xorg-x11-drv-nv to version 1.0.1.1 from X11R7 RC1
- Fix *.la file removal.
- Add riva128.so subdriver to file manifest.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64, ppc

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-0
- Initial spec file for nv video driver generated automatically
  by my xorg-driverspecgen script.
